Solid Edge FrameworkSupport Type Library
Leader Object
Members 
Description
A linear object that associates an annotation to a point of reference.
Object Model
Leader ObjectApplication ObjectSelectSet CollectionAddIns CollectionApplication ObjectApplicationEvents ObjectApplicationV8DocumentOpenEvent ObjectApplicationWindowEvents ObjectBeforeFileSaveAsEvents ObjectCommand ObjectCustomization ObjectDocuments CollectionEnvironments CollectionFeatureLibraryEvents ObjectFileUIEvents ObjectMatTable ObjectInsight ObjectNewFileUIEvents ObjectApplication ObjectSEECEvents ObjectSESPEvents ObjectShortcutMenuEvents ObjectSolidEdgeInsightXT ObjectSolidEdgeTCE ObjectWindows CollectionDisplayData ObjectDimStyle Object
Remarks
The Leader object is created through the Leaders collection object. The Leader object is a dependent object. That is, a leader cannot exist by itself. Instead, a dimensioning object (for example, a TextBox object) must exist before the leader can be created. Furthermore, modifications made to the dimensioning object affect the Leader object. For example, if the dimensioning object moves, the leader is extended to maintain the connections and dimensioning characteristics (such as terminator size). The leader consists of a terminator, a leader line, and break lines. Each end of the leader is at a connect point. The connect point that is on the dimensioning object is the annotation connect point; the connect point on a geometric object or to a free space point, is the terminal connect point. The terminator is always placed at the terminal connect point. The characteristics of the terminator are determined by its location (whether on a geometric object or at a free space point) and by dimension style properties (such as the color of the leader line).
Example
Imports System.Runtime.InteropServices
Public Class Leader

    Private Sub Leader_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objDraftDocument As SolidEdgeDraft.DraftDocument = Nothing
        Dim objSheet As SolidEdgeDraft.Sheet = Nothing
       
        Dim objLeaders As SolidEdgeFrameworkSupport.Leaders = Nothing
        Dim objLeader As SolidEdgeFrameworkSupport.Leader = Nothing
        Dim objTextBoxes As SolidEdgeFrameworkSupport.TextBoxes = Nothing
        Dim objTextBox As SolidEdgeFrameworkSupport.TextBox = Nothing

        Try
            objApplication = GetObject(, "SolidEdge.Application")
            objApplication.Visible = True
            objDraftDocument = objApplication.ActiveDocument
            objSheet = objDraftDocument.ActiveSheet

            'Following Code will add Text in the sheet
            objTextBoxes = objSheet.TextBoxes
            objTextBox = objTextBoxes.Add(0.25, 0.25, 0)
            objTextBox.TextScale = 1
            objTextBox.VerticalAlignment = SolidEdgeFrameworkSupport.TextVerticalAlignmentConstants.igTextHzAlignVCenter
            objTextBox.Text = "Leader"

            'Following Code will add Leader in the sheet
            objLeaders = objSheet.Leaders
            objLeader = objLeaders.Add(0.225, 0.225, 0, 0.25, 0.25, 0)
            objLeader.Style.FreeSpaceTerminatorType = SolidEdgeFrameworkSupport.DimTermTypeConstants.igDimStyleTermFilled ' Change Terminator type if Required.

            Marshal.ReleaseComObject(objSheet) : objSheet = Nothing
            Marshal.ReleaseComObject(objDraftDocument) : objDraftDocument = Nothing
            Marshal.ReleaseComObject(objTextBox) : objTextBox = Nothing


        Catch ex As Exception
            Console.WriteLine(ex.ToString)
        End Try
    End Sub

End Class

See Also

Leader Members